## org.apache.cocoon.example
Class DCPExample

    java.lang.Object
      |
      +--org.apache.cocoon.dcp.DefaultDCPProcessor
            |
            +--org.apache.cocoon.dcp.ServletDCPProcessor
                  |
                  +--org.apache.cocoon.example.DCPExample

All Implemented Interfaces:
  Configurable

public class DCPExample
extends ServletDCPProcessor

Fields inherited from class org.apache.cocoon.dcp.ServletDCPProcessor
`request`

Fields inherited from class org.apache.cocoon.dcp.DefaultDCPProcessor
`document, parameters`

Constructor Summary
`DCPExample()`

Method Summary
`int` `getCount()`
`org.w3c.dom.Element` `getRequestParameters()`
`java.lang.String` `getSystemDate(java.util.Dictionary parameters)`

Methods inherited from class org.apache.cocoon.dcp.ServletDCPProcessor
`init`

Methods inherited from class org.apache.cocoon.dcp.DefaultDCPProcessor
`createAttribute, createCDATASection, createComment, createDocumentFragment, createElement, createEntityReference, createProcessingInstruction, createTextNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DCPExample

    public DCPExample()

Method Detail

### getCount

    public int getCount()

### getSystemDate

    public java.lang.String getSystemDate(java.util.Dictionary parameters)

### getRequestParameters

    public org.w3c.dom.Element getRequestParameters()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.